=== debian/changelog ===
hyprpolkitagent (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1117493)

 -- Carl Keinath <carl.keinath@gmail.com>  Thu, 23 Oct 2025 19:32:12 +0200
