=== debian/control ===
Source: hyprpolkitagent
Section: x11
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libhyprutils-dev,
 libpolkit-qt6-1-dev,
 libpolkit-agent-1-dev,
 qt6-base-dev,
 qt6-declarative-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprpolkitagent
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprpolkitagent
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprpolkitagent.git

Package: hyprpolkitagent
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 qml6-module-org-hyprland-style,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-templates,
 qml6-module-qtqml-workerscript,
Description: polkit authentication agent Hyprland
 PolicyKit authentication agent written in Qt and QML for
 Hyprland, providing GUI dialogs for privilege elevation.
